sc::RefSCDimension(3)

NAME
sc::RefSCDimension - The RefSCDimension class is a smart pointer to an SCDimension specialization.

SYNOPSIS

#include <dim.h>

Inherits sc::Ref< SCDimension >.

  Public Methods
RefSCDimension ()
Initializes the dimension pointer to 0.
RefSCDimension (const RefSCDimension &d)
Make this and d refer to the same SCDimension.
RefSCDimension (SCDimension *d)
Make this refer to d.
~RefSCDimension ()
RefSCDimension & operator= (SCDimension *d)
Make this refer to d.
RefSCDimension & operator<< (RefCount *)
RefSCDimension & operator<< (const RefBase &)
RefSCDimension & operator= (const RefSCDimension &d)
Make this and d refer to the same SCDimension.
operator int () const
Return the dimension.
int n () const
void print (std::ostream &o=ExEnv::out0()) const

DETAILED DESCRIPTION

The RefSCDimension class is a smart pointer to an SCDimension specialization.

CONSTRUCTOR & DESTRUCTOR DOCUMENTATION

  sc::RefSCDimension::RefSCDimension ()

Initializes the dimension pointer to 0.

The reference must be initialized before it is used.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.